diff --git a/ChangeLog b/ChangeLog
index 91cc64d..f6ffda8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2016-12-12  Andrew Senkevich  <andrew.senkevich@intel.com>
+
+	* math/Makefile ($(inst_libdir)/libm-$(version).a): New target.
+	($(inst_libdir)/libm.a): Correct rule to create the target only.
+
 2016-12-12  Florian Weimer  <fweimer@redhat.com>
 
 	[BZ #17252]
diff --git a/math/Makefile b/math/Makefile
index 49556f6..1973bf2 100644
--- a/math/Makefile
+++ b/math/Makefile
@@ -143,15 +143,17 @@ $(inst_libdir)/libm.so: $(common-objpfx)format.lds \
 	) > $@.new
 	mv -f $@.new $@
 
+$(inst_libdir)/libm-$(version).a: $(objpfx)libm.a
+	cp $(objpfx)libm.a $@
+
 $(inst_libdir)/libm.a: $(common-objpfx)format.lds \
-		       $(libm) \
-		       $(libmvec) \
+		       $(inst_libdir)/libm-$(version).a \
+		       $(objpfx)../mathvec/libmvec.a \
 		       $(+force)
 	(echo '/* GNU ld script'; echo '*/';\
 	 cat $<; \
-	 echo 'GROUP ( $(libdir)/libm-$(lib-version).a $(libdir)/libmvec.a )' \
+	 echo 'GROUP ( $(libdir)/libm-$(version).a $(libdir)/libmvec.a )' \
 	) > $@.new
-	cp $(objpfx)libm.a $(inst_libdir)/libm-$(lib-version).a
 	mv -f $@.new $@
 endif
 
